{ config, pkgs, ... }:
let unstable = import <nixpkgs-unstable> { };
in {

  nixpkgs.config.packageOverrides = pkgs: {
    nur = import (builtins.fetchTarball
      "https://github.com/nix-community/NUR/archive/master.tar.gz") {
        inherit pkgs;
      };
  };

  environment.systemPackages = with pkgs;
    [
      bitwig-studio
      #unstable.pypi2nix
      #nur.repos.mic92.nixos-shell
    ];

}
