{ mkDerivation, ansi-terminal, base, directory, doctest, fetchgit, filepath
, megaparsec, optparse-applicative, prettyprinter, process, raw-strings-qq
, stdenv, tasty, tasty-hunit, text, yaml }:
mkDerivation {
  pname = "mahlzeit";
  version = "0.1.0";
  src = fetchgit {
    url = "https://github.com/kmein/mahlzeit";
    sha256 = "1k8690x7jnvr9ya2b9biv75wpzy15bn03in6af4bspzihi8w4fyl";
    rev = "ea4769ad691de3c6b5b5c161b502a648b663efce";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    ansi-terminal
    base
    directory
    filepath
    megaparsec
    prettyprinter
    text
    yaml
  ];
  executableHaskellDepends = [
    ansi-terminal
    base
    directory
    filepath
    optparse-applicative
    process
    text
    yaml
  ];
  testHaskellDepends =
    [ base doctest megaparsec raw-strings-qq tasty tasty-hunit ];
  doCheck = false;
  homepage = "https://github.com/kmein/mahlzeit";
  description = "Recipe toolkit";
  license = stdenv.lib.licenses.mit;
}
