{ config, pkgs, lib, ... }: {

  module.backup.sftpUser = {

    # my backup user
    "backup" = {
      enable = true;
      initialize = true;
      home = toString /backup/remote;
      authorizedKeys.keyFiles =
        [ (toString <common_secrets/backup/sftp-user_rsa.pub>) ]
        ++ config.users.users.root.openssh.authorizedKeys.keyFiles;
    };

  };

}
