
function only_service(){
  local service=$1
  cat ~/.etc_info/* | jq '.[] | select(has("'${service}'"))'
}

only_service "restic" \
  | jq '.restic' | jq --slurp . | jq 'group_by(.from)' \
  | jq --raw-output '
.[] |
.[0].from as $hostname |
.[0].folders as $folders |
[.[] | select(.enable) | .to.server ] as $servers  |
"
# \($hostname)
## folders
\( $folders | reduce .[] as $item ( ""; . + "* " + $item + "\n" ) )
## to
\( $servers | reduce .[] as $item ( ""; . + "* " + $item + "\n") )
"' | pandoc-from-markdown-to-man | man --local-file -


