{ config, pkgs, lib, ... }: {

  environment.systemPackages = with pkgs; [ xclip xtrlock-pam xorg.xev ];

  system.custom.x11 = {
    enable = true;
    autoLoginUser = config.users.users.mainUser.name;
  };

  system.custom.fonts.enable = true;

}

